package dev.fyloz.musicplayer.core.factory

import dev.fyloz.musicplayer.core.http.auth.AuthorizationData
import dev.fyloz.musicplayer.core.model.Track

interface TrackFactory {
    suspend fun searchTrack(query: String, auth: AuthorizationData): Collection<Track>
    suspend fun createTrack(id: String, trackId: String, auth: AuthorizationData): Track
}
