package dev.fyloz.musicplayer.modules.spotify.api

import kotlinx.serialization.SerialName
import kotlinx.serialization.Serializable

@Serializable
data class SearchRequest(
    @SerialName("q")
    val query: String,

    val type: String,

    @SerialName("include_external")
    val includeExternal: String,

    val limit: Int,

    val offset: Int
)
